/***************************************************************************
                          resource.h  -  description
                             -------------------
    begin                : Sam Jan 22 16:27:34 CET 2000
    copyright            : (C) 2000 - 2003 by M. Hoverath
    email                : mario.hoverath@uni-koeln.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef RESOURCE_H
#define RESOURCE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


///////////////////////////////////////////////////////////////////
// resource.h  -- contains macros used for commands


///////////////////////////////////////////////////////////////////
// COMMAND VALUES FOR MENUBAR AND TOOLBAR ENTRIES


///////////////////////////////////////////////////////////////////
// File-menu entries
#define ID_FILE_NEW                 10020
#define ID_FILE_OPEN                10030
#define ID_FILE_SAVE                10050
#define ID_FILE_SAVE_AS             10060
#define ID_FILE_IMPORTG94           10210
#define ID_FILE_IMPORTXYZ           10220
#define ID_FILE_EXPORTXYZ           10310
#define ID_FILE_EXPORTPOV           10320
#define ID_FILE_EXPORTVRML          10330
#define ID_FILE_PRINT               10080
#define ID_FILE_QUIT                10100

///////////////////////////////////////////////////////////////////
// View-menu entries
#define ID_VIEW_TOOLBAR             12000
#define ID_VIEW_STATUSBAR           12010
#define ID_VIEW_MIN                 12020
#define ID_VIEW_MAX                 13990

///////////////////////////////////////////////////////////////////
// Molecule-menu entries
#define ID_MOLECULE_ATOMS           14010
#define ID_MOLECULE_BONDS           14020
#define ID_MOLECULE_APPEARANCE      14030
#define ID_MOLECULE_TITLE           14040

///////////////////////////////////////////////////////////////////
// Preferences-menu entries
#define ID_PREFERENCES_DIRECTORIES  16010
#define ID_PREFERENCES_POVRAY       16020
#define ID_PREFERENCES_VRML         16030
#define ID_PREFERENCES_PLUGINS      16040

///////////////////////////////////////////////////////////////////
// Help-menu entries
#define ID_HELP_ABOUT               1002

///////////////////////////////////////////////////////////////////
// Plugin entries
#define ID_PLUGIN_MIN               17000
#define ID_PLUGIN_MAX               17500

///////////////////////////////////////////////////////////////////
// General application values
#define IDS_APP_ABOUT               "KMovisto\nVersion " VERSION \
                                    "\n(w) 2000-2003 by Dr. M. Hoverath"
#define IDS_STATUS_DEFAULT          "Ready."
#define MAX_PLUGIN_VERSION          "1.0.0"

#endif // RESOURCE_H
